%define	upstream_name	 Compress-Raw-Bzip2
%define upstream_version 2.213

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Low-Level Interface to bzip2 compression library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: bzip2-devel
BuildRequires: perl-devel
# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the bzip2 compression library.
It is used by IO::Compress::Bzip2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove bundled bzip2 sources
rm -r bzip2-src
perl -i -ne 'print unless /^bzip2-src\//' MANIFEST

%build
BUILD_BZIP2=0
BZIP2_LIB=%{_libdir}
export BUILD_BZIP2 BZIP2_LIB
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress

%changelog
* Mon Sep 02 2024 tv <tv> 2.213.0-1.mga10
+ Revision: 2092696
- update to 2.213

* Fri Aug 23 2024 tv <tv> 2.212.0-2.mga10
+ Revision: 2089250
- Rebuild for perl-5.40

* Thu May 09 2024 tv <tv> 2.212.0-1.mga10
+ Revision: 2062981
- update to 2.212

* Sat Apr 13 2024 tv <tv> 2.211.0-1.mga10
+ Revision: 2056898
- update to 2.211

* Thu Mar 07 2024 tv <tv> 2.210.0-1.mga10
+ Revision: 2048270
- update to 2.210

* Mon Feb 26 2024 tv <tv> 2.209.0-1.mga10
+ Revision: 2044370
- update to 2.209

* Wed Feb 21 2024 tv <tv> 2.208.0-1.mga10
+ Revision: 2042895
- update to 2.208

* Tue Nov 28 2023 tv <tv> 2.206.0-2.mga10
+ Revision: 2010440
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 2.206.0-1.mga10
+ Revision: 1981064
- update to 2.206

* Mon Feb 20 2023 tv <tv> 2.204.0-1.mga9
+ Revision: 1944258
- update to 2.204

* Tue Jun 28 2022 tv <tv> 2.201.0-1.mga9
+ Revision: 1866485
- update to 2.201

* Mon Jun 06 2022 umeabot <umeabot> 2.103.0-2.mga9
+ Revision: 1861613
- Rebuild for Perl 5.36

* Mon Apr 04 2022 tv <tv> 2.103.0-1.mga9
+ Revision: 1843886
- update to 2.103

* Fri Mar 18 2022 umeabot <umeabot> 2.101.0-3.mga9
+ Revision: 1797856
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.101.0-2.mga9
+ Revision: 1726424
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 2.101.0-1.mga9
+ Revision: 1691226
- update to 2.101

* Sat Aug 01 2020 tv <tv> 2.96.0-1.mga8
+ Revision: 1610231
- update to 2.096

* Tue Jul 21 2020 tv <tv> 2.95.0-1.mga8
+ Revision: 1607541
- update to 2.095

* Wed Jul 15 2020 tv <tv> 2.94.0-1.mga8
+ Revision: 1606191
- update to 2.094

* Mon Jun 22 2020 tv <tv> 2.93.0-4.mga8
+ Revision: 1598463
- use system bzip2 library
- better description

* Wed Jun 17 2020 umeabot <umeabot> 2.93.0-3.mga8
+ Revision: 1594354
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 2.93.0-2.mga8
+ Revision: 1539565
- Mageia 8 Mass Rebuild

* Sun Dec 08 2019 tv <tv> 2.93.0-1.mga8
+ Revision: 1465255
- update to 2.093

* Thu Dec 05 2019 tv <tv> 2.92.0-1.mga8
+ Revision: 1464449
- update to 2.092

* Sun Nov 24 2019 tv <tv> 2.91.0-1.mga8
+ Revision: 1462587
- update to 2.091

* Mon Nov 11 2019 tv <tv> 2.90.0-1.mga8
+ Revision: 1459225
- update to 2.090

* Mon Nov 04 2019 tv <tv> 2.89.0-1.mga8
+ Revision: 1457669
- update to 2.089

* Mon Nov 04 2019 tv <tv> 2.88.0-1.mga8
+ Revision: 1457528
- update to 2.088

* Mon Aug 26 2019 tv <tv> 2.87.0-2.mga8
+ Revision: 1432748
- rebuild with perl-5.30

* Sun Aug 11 2019 tv <tv> 2.87.0-1.mga8
+ Revision: 1428679
- update to 2.087

* Mon Apr 01 2019 tv <tv> 2.86.0-1.mga7
+ Revision: 1384404
- update to 2.086

* Mon Jan 07 2019 tv <tv> 2.84.0-1.mga7
+ Revision: 1350505
- update to 2.084

* Mon Dec 31 2018 tv <tv> 2.83.0-1.mga7
+ Revision: 1347755
- update to 2.083

* Fri Sep 21 2018 umeabot <umeabot> 2.81.0-4.mga7
+ Revision: 1292533
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 2.81.0-3.mga7
+ Revision: 1248513
- rebuild for perl 5.28

* Fri Jun 01 2018 tv <tv> 2.81.0-2.mga7
+ Revision: 1233443
- rebuild for perl-5.26.2 so that perl-IO-Compress can find a module newer than the one bundled in perl-base

* Mon Apr 09 2018 kekepower <kekepower> 2.81.0-1.mga7
+ Revision: 1216673
- Update to version 2.081

* Mon Oct 02 2017 tv <tv> 2.74.0-4.mga7
+ Revision: 1163465
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.74.0-3.mga7
+ Revision: 1148691
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.74.0-2.mga7
+ Revision: 1126556
- Rebuild against new Perl 5.26

* Sat Feb 25 2017 shlomif <shlomif> 2.74.0-1.mga6
+ Revision: 1087837
- New version 2.074 + .spec modernisation

* Mon Feb 06 2017 pterjan <pterjan> 2.69.0-4.mga6
+ Revision: 1084909
- Rebuild for new perl to override core

* Thu May 12 2016 tv <tv> 2.69.0-3.mga6
+ Revision: 1013958
- rebuild for new perl as it's dual packaged

* Thu Dec 31 2015 tv <tv> 2.69.0-2.mga6
+ Revision: 917225
- rebuild for perl-5.22.1 (fixing other packages testsuite b/c perl-base one is too old)

* Mon Sep 28 2015 sander85 <sander85> 2.69.0-1.mga6
+ Revision: 884455
- update to 2.069

* Thu Jun 25 2015 tv <tv> 2.68.0-2.mga6
+ Revision: 843569
- rebuild for perl-5.22

* Sun Jun 21 2015 sander85 <sander85> 2.68.0-1.mga6
+ Revision: 837096
- update to 2.068

* Sun Oct 19 2014 umeabot <umeabot> 2.64.0-6.mga5
+ Revision: 789847
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.64.0-5.mga5
+ Revision: 750699
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.64.0-4.mga5
+ Revision: 732950
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.64.0-3.mga5
+ Revision: 683968
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.64.0-2.mga5
+ Revision: 630906
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 2.64.0-1.mga5
+ Revision: 587916
- update to 2.064

* Mon Oct 21 2013 umeabot <umeabot> 2.62.0-3.mga4
+ Revision: 538450
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 2.62.0-2.mga4
+ Revision: 489723
- Rebuild for new perl

* Mon Aug 12 2013 sander85 <sander85> 2.62.0-1.mga4
+ Revision: 465942
- update to 2.062

* Mon Jun 03 2013 jquelin <jquelin> 2.61.0-1.mga4
+ Revision: 436393
- update to 2.061

* Wed May 29 2013 jquelin <jquelin> 2.60.0-5.mga4
+ Revision: 430577
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.60.0-4.mga4
+ Revision: 429958
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 2.60.0-3.mga3
+ Revision: 405451
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.60.0-2.mga3
+ Revision: 364562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.60.0-1.mga3
+ Revision: 341874
- update to 2.060

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-2.mga3
+ Revision: 317679
- bs ate previous submission

* Wed Nov 14 2012 jquelin <jquelin> 2.58.0-1.mga3
+ Revision: 317603
- update to 2.058

* Wed Nov 07 2012 jquelin <jquelin> 2.55.0-2.mga3
+ Revision: 315488
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.55.0-1.mga3
+ Revision: 284584
- update to 2.055

* Fri Jun 01 2012 jquelin <jquelin> 2.52.0-1.mga3
+ Revision: 252846
- update to 2.052

* Wed May 30 2012 jquelin <jquelin> 2.49.0-2.mga3
+ Revision: 250352
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 219795
- update to 2.049

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 176794
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175765
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175667
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169302
- update to 2.042

* Sat Nov 05 2011 kharec <kharec> 2.40.0-1.mga2
+ Revision: 163400
- update to 2.040

* Fri Nov 04 2011 jquelin <jquelin> 2.37.0-2.mga2
+ Revision: 162789
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112314
- update to 2.037

* Wed Jun 22 2011 jquelin <jquelin> 2.36.0-1.mga2
+ Revision: 112047
- update to 2.036

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 108933
- update to 2.035

* Sat Jun 11 2011 sander85 <sander85> 2.33.0-3.mga2
+ Revision: 103724
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 2.33.0-2.mga1
+ Revision: 53575
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.33.0-1.mga1
+ Revision: 52532
- update to 2.033

* Fri Jan 21 2011 jquelin <jquelin> 2.32.0-1.mga1
+ Revision: 29937
- mageia rebuild
- imported package perl-Compress-Raw-Bzip2

